Gecode::ArrayTraits< ArgArray< TaskType > > Class Reference

Traits of TaskTypeArgs. More...

`#include <int.hh>`

## Public Types

typedef TaskTypeArgs | StorageType
typedef TaskType | ValueType
typedef TaskTypeArgs | ArgsType

## Detailed Description

Traits of TaskTypeArgs.

Definition at line 1019 of file int.hh.

## Member Typedef Documentation

## StorageType

typedef TaskTypeArgs Gecode::ArrayTraits< ArgArray< TaskType > >::StorageType

Definition at line 1021 of file int.hh.

## ValueType

typedef TaskType Gecode::ArrayTraits< ArgArray< TaskType > >::ValueType

Definition at line 1022 of file int.hh.

## ArgsType

typedef TaskTypeArgs Gecode::ArrayTraits< ArgArray< TaskType > >::ArgsType

Definition at line 1023 of file int.hh.

The documentation for this class was generated from the following file:

- gecode/int.hh